import request from '@/utils/request'

export function getClientelePage(data) {
  return request({
    url: 'base-customer/page',
    method: 'get',
    params: data
  })
}
export function getClienteleList(data) {
    return request({
    url: '/base-customer/list',
    method: 'post',
    data: data
  })
}
export function getClienteleById(data) {
    return request({
    url: '/base-customer/listById',
    method: 'post',
    data: data
  })
}
export function addClientele(data) {
    return request({
    url: '/base-customer/add',
    method: 'post',
    data: data
  })
}
export function editClientele(data) {
    return request({
    url: '/base-customer/edit',
    method: 'post',
    data: data
  })
}
export function deleteClientele(data) {
    return request({
    url: '/base-customer/delete',
    method: 'post',
    data: data
  })
}